package com.ynet.life.loaf.compare;

import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.loaf.DataMappingProvider;
import com.ynet.life.loaf.LOAFHelper;
import com.ynet.life.loaf.LoafTools;
import com.ynet.life.loaf.TableConfig;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_loaf_compare.jar:com/ynet/life/loaf/compare/CompareKeeper.class */
public class CompareKeeper {
    public static void keep(Connection connection, Map context, String businessCode) throws TranFailException, SQLException {
        TableConfig tableConfig = DataMappingProvider.getTableConfig(businessCode);
        keep(connection, context, tableConfig);
    }

    private static void keep(Connection connection, Map context, TableConfig tableConfig) throws TranFailException, SQLException {
        String parentOpTypeStr = (String) context.get("opType");
        String iCollName = LOAFHelper.getICollName(tableConfig);
        if (iCollName != null && iCollName.length() > 0) {
            IndexedCollection icoll = (IndexedCollection) context.get(iCollName);
            for (int i = 0; i < icoll.size(); i++) {
                KeyedCollection kcoll = icoll.getElementAt(i);
                String str = (String) kcoll.get("opType");
                String opTypeStr = str;
                if (str == null || opTypeStr.length() == 0) {
                    opTypeStr = parentOpTypeStr;
                }
                int opType = Integer.parseInt(opTypeStr);
                LoafTools.addICollField(kcoll, tableConfig);
                LoafTools.addContextFieldToIColl(context, tableConfig, kcoll);
                DataMappingProvider.doTableOperation(connection, tableConfig, opType, kcoll);
            }
        } else {
            int parentOpType = Integer.parseInt(parentOpTypeStr);
            DataMappingProvider.doTableOperation(connection, tableConfig, parentOpType, context);
        }
        List<String> subBusinessList = tableConfig.getSubBusinessList();
        if (subBusinessList != null && subBusinessList.size() > 0) {
            for (String subBusinessCode : subBusinessList) {
                keep(connection, context, DataMappingProvider.getTableConfig(subBusinessCode));
            }
        }
    }
}
